# Generated by go2rpm
%bcond_without check

# https://github.com/mmarkdown/mmark
%global goipath         github.com/mmarkdown/mmark
Version:                2.2.10

%gometa

%global common_description %{expand:
Mmark is a powerful markdown processor written in Go, geared towards writing
IETF documents. It is, however, also suited for writing complete books and other
technical documentation, like the Learning Go book (mmark source, and I-D text
output).}

%global golicenses      LICENSE
%global godocs          FAQ.md README.md mmark.1.md Syntax.md 

Name:           %{goname}
Release:        7%{?dist}
Summary:        Powerful markdown processor in Go geared towards the IETF

# Upstream license specification: BSD-2-Clause
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/BurntSushi/toml)
BuildRequires:  golang(github.com/gomarkdown/markdown)
BuildRequires:  golang(github.com/gomarkdown/markdown/ast)
BuildRequires:  golang(github.com/gomarkdown/markdown/html)
BuildRequires:  golang(github.com/gomarkdown/markdown/parser)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/google/go-cmp/cmp)
%endif

# Remove after F34.
Obsoletes: golang-github-miekg-mmark < 1.3.6-3
Provides: golang-github-miekg-mmark = %{version}-%{release}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/mmark %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc FAQ.md README.md mmark.1.md Syntax.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 2.2.10-6
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.10-5
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 18 17:58:44 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.10-1
- Update to 2.2.10

* Wed Jul 29 23:05:23 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 2.2.8-1
- Update to 2.2.8

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.46-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.46-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Oct 30 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 2.0.46-3
- Obsolete golang-github-miekg-mmark, which provided the same executable

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jun 03 16:11:39 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 2.0.46-1
- Initial package
